using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.StoragesContracts
{
	public interface IGuarantorStorage
	{
		List<GuarantorViewModel> GetFullList();
		List<GuarantorViewModel> GetFilteredList(GuarantorSearchModel model);
		GuarantorViewModel? GetElement(GuarantorSearchModel model);
		GuarantorViewModel? Insert(GuarantorBindingModel model);
		GuarantorViewModel? Update(GuarantorBindingModel model);
		GuarantorViewModel? Delete(GuarantorBindingModel model);
	}
}
